; stack pointer
ldi     r24, 0xff
ldi     r25, 0x10
out     0x3d, r24
out     0x3e, r25

; skip a couple of one-word instructions
ldi     r16, 0
sbrc    r16, 0
ldi     r17, 2

ldi     r16, 2
sbrs    r16, 1
ldi     r18, 2

; now fail to skip one-worders
ldi     r16, 0
sbrs    r16, 3
ldi     r19, 3

ldi     r16, 4
sbrc    r16, 2
ldi     r20, 4

; skip two-words
ldi     r16, 0
sbrc    r16, 0
call    dontcall1

ldi     r16, 2
sbrs    r16, 1
call    dontcall2

; fail to skip two-words
ldi     r16, 0
sbrs    r16, 3
call    docall1

ldi     r16, 4
sbrc    r16, 2
call    docall2

nop

; destinations
dontcall1:
ldi     r21, 2
ret

dontcall2:
ldi     r22, 2
ret

docall1:
ldi     r23, 1
ret

docall2:
ldi     r24, 1
ret
